﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace ParameterAutoEncodeDecode
{
    public static class UrlExtensions
    {
        /// <summary>
        /// UrlHelper扩展方法
        /// </summary>
        /// <param name="helper"></param>
        /// <param name="id">需要进行加密的参数</param>
        /// <returns></returns>
        public static string RouteEncodedParameter(this UrlHelper helper, string id)
        {
            //将参数进行加密(在参数前面加"aa")            
            id = "aa" + id;
            return helper.RouteUrl("default", new { id = id });
        }
    }
}